# $Id: svnmailer.spec 4063 2006-02-08 05:51:45Z dries $
# Authority: dries
# Upstream: Andre Malo <freshmeat$nd,perlig,de>

%define python_sitelib %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib()')

Summary: Notification script which can be used as subversion hook
Name: svnmailer
Version: 1.0.6
Release: 1.rf
License: Apache License 2.0
Group: Development/Tools
URL: http://opensource.perlig.de/svnmailer/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://storage.perlig.de/svnmailer/svnmailer-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: python
Requires: python

%description
The svnmailer is a tool that is usually called by a subversion hook to 
submit commit notifications in various ways (at the moment: mail via SMTP 
or a pipe to a sendmail like program, news via NNTP, or CIA live tracker 
notification via XML-RPC). It is derived from the original mailer.py 
distributed with subversion, but should be much more consistent, more 
extensible, and have many more features.

%package devel
Summary: Header files, libraries and development documentation for %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup

%build

%install
%{__rm} -rf %{buildroot}
python setup.py install --root=%{buildroot}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc CREDITS LICENSE README
%{_bindir}/svn-mailer
%{python_sitelib}/svnmailer

%changelog
* Mon Feb 06 2006 Dries Verachtert <dries@ulyssis.org> - 1.0.6-1 - 4063/dries
- Updated to release 1.0.6.

* Mon Aug 29 2005 Dries Verachtert <dries@ulyssis.org> - 1.0.5-1
- Initial package.
